{% extends "layouts/page.html" %}{% load static humanize custom_tags %}
{% block page %}
{% static "/media/images/news.webp" as image %}
{% include "layouts/showcase.html" with image=image title=_("News of Mosque") %}
<div class="max-w-screen-xl mx-auto p-8">

  {% comment %} TOP PANEL {% endcomment %}
  <div data-aos="fade-up" data-aos-duration="1000" class="flex justify-between items-center px-6 h-12 bg-gradient-to-br from-main/95 to-main-dark mt-10 mb-7 rounded-md text-white shadow-lg font-medium">
    <p class="flex gap-1">
      <a href="{% url "apps.base:index" %}" class="transition-colors hover:text-accent">
        {{_("Main page")}}
      </a>
      /
      <span class="text-accent">{{_("News of Mosque")}}</span>
    </p>
    <p>
      {% if LANG == "en" %}
      Page {{paginator.number}} of {{paginator.paginator.num_pages}}
      {% elif LANG == "ru" %}
      Страница {{paginator.number}} из {{paginator.paginator.num_pages}}
      {% elif LANG == "uz" %}
      {{paginator.paginator.num_pages}} dan {{paginator.number}}-sahifa
      {% endif %}
    </p>
  </div>

  {% include "world_of_islam/layouts/top-panel.html" with category=_("News") order_types=order_types order_type=order_type filter_types=book_lang filter_type=filter_type %}

  {% comment %} NEWS {% endcomment %}
  <ul class="grid gap-8">
    {% for news in news_list %}
    <li
      data-aos-duration="1000"
      data-aos="{% if forloop.counter|divisibleby:2 %}fade-up-left{% else %}fade-up-right{% endif %}"
    >
      <div class="bg-gradient-to-br from-white to-main-white px-5 py-4 rounded-lg shadow-lg transition  duration-500 hover:shadow-card hover:-translate-y-0.5">
        <div class="flex flex-col gap-3 md:flex-row md:gap-10">
          {% if news.image %}
          <div class="w-full md:min-w-[20rem] md:max-w-xs overflow-hidden h-56 rounded shadow-lg">
            <img src="{% get_media_prefix %}{{news.image}}" alt="{{news.title}}" class="w-full h-full object-cover object-center" />
          </div>
          {% endif %}
          <div class="grow flex flex-col justify-between">
            <div class="grid gap-y-3 mb-5">
              <h3
                data-aos="fade-left"
                data-aos-delay="200"
                data-aos-duration="1000"
                data-aos-anchor-placement="top-bottom"
                class="line-clamp-1 text-3xl pt-2"
              >
                {{news.title}}
              </h3>
              <p
                data-aos="fade-left"
                data-aos-delay="300"
                data-aos-duration="1000"
                data-aos-anchor-placement="top-bottom"
                class="line-clamp-5 leading-tight indent-6"
              >
                {{news.text|linebreaksbr|indent:"1.5rem"}}
              </p>
            </div>
            <div
              data-aos="fade-left"
              data-aos-delay="300"
              data-aos-duration="1000"
              data-aos-anchor-placement="top-bottom"
              class="flex flex-col-reverse gap-y-4 xs:flex-row xs:justify-between items-center"
            >
              <a href="{{news.id}}" class="inline-flex items-center gap-2 h-8 px-6 text-white text-xs font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-main/95 to-main-dark hover:bg-gradient-to-tl">
                {{_("Learn more")}}
              </a>
              <div class="flex flex-wrap w-full xs:w-auto gap-x-5 gap-y-1.5 justify-end items-center px-3 text-xs text-main/75">
                <div class="flex gap-x-1.5 items-center line-clamp-1">
                  <i class="fa-regular fa-eye"></i>
                  <em>{{news.hit|intword}}</em>
                </div>
                {% if news.author %}
                <div class="flex gap-x-1.5 items-center">
                  <i class="fa-regular fa-user"></i>
                  <em class="line-clamp-1 capitalize">{{news.author}}</em>
                </div>
                {% endif %}
                <div class="flex gap-x-0.5 items-center">
                  <i class="fa-regular fa-clock"></i>
                  <em class="line-clamp-1">{{news.created_date|naturaltime}}</em>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </li>
    {% endfor %}
  </ul>

  {% include "layouts/paginator.html" with paginator=paginator %}

</div>
{% endblock page %}
